Bug 1599595 (CVE-2018-10895) - CVE-2018-10895 qutebrowser: Cross-site request forgery flaw allows sites to access 'qute://*' URLs and execute arbitrary code
Summary: CVE-2018-10895 qutebrowser: Cross-site request forgery flaw allows sites to a...
Status: CLOSED CURRENTRELEASE
Alias: CVE-2018-10895
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20180711,repo...
Keywords: Security
Depends On: 1600289
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-10 07:13 UTC by Sam Fowler
Modified: 2018-09-02 11:35 UTC (History)
4 users (show)

Fixed In Version: qutebrowser 1.4.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-09-02 11:35:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sam Fowler 2018-07-10 07:13:51 UTC
qutebrowser before version 1.4.1 is vulnerable to a cross-site request forgery flaw that allows websites to access 'qute://*' URLs. A malicious website could exploit this to load a 'qute://settings/set' URL, which then sets 'editor.command' to a bash script, resulting in arbitrary code execution.

Comment 3 Sam Fowler 2018-07-12 00:00:03 UTC
External Reference:

http://www.openwall.com/lists/oss-security/2018/07/11/7

Comment 4 Sam Fowler 2018-07-12 00:00:31 UTC
Created qutebrowser tracking bugs for this issue:

Affects: fedora-all [bug 1600289]

Comment 5 Timothée Floure 2018-07-20 07:42:19 UTC
Qutebrowser 1.4.1 has been pushed to the stable repository of both F27 and F28 :-)

Comment 6 Timothée Floure 2018-09-02 11:35:46 UTC
I close this bug since the issue is resolved.


Note You need to log in before you can comment on or make changes to this bug.